Changing the python version of libboost


On Ubuntu 14.04, I believe I have installed libboost through

sudo apt install --no-install-recommends libboost-all-dev 

In my /usr/lib/x86_64-linux-gnu I have the files

libboost_python-py34 libboost_python-py27 

As they are the default python installations found on the system. However, I wish to have the python3.5 version (which I have installed). How should I proceed?